py3rsa-sign(1)

NAME
py3rsa-sign - sign a file

SYNOPSIS
py3rsa-sign [OPTION]... PRIVATE_KEY HASH_METHOD

DESCRIPTION
Sign a file, output the signature. Choose the hash method from MD5, SHA-1, SHA-224, SHA-256, SHA-384, SHA-512

OPTIONS

-h, --help
    show help message and exit

-i INPUT, --input=INPUT
    name of the file to sign. read from stdin if not specified.

-i OUTPUT, --output=OUTPUT
    name of the file to write the signature to. write to stdout if this option is not present.

--keyform=KEYFORM
    key format of the private key - default PEM

AUTHOR
py3rsa-sign was written by Sybren A. Stuvel <sybren AT stuvel.eu>.